# eric4.QScintilla.Lexers.LexerDiff

Module implementing a Diff lexer with some additional methods.

### Global Attributes

None

### Classes

LexerDiff | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerDiff

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerDiff, Lexer

### Class Attributes

None

### Methods

LexerDiff | Constructor
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

#### LexerDiff (Constructor)

LexerDiff(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerDiff.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerDiff.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up